GuideLab API

Copy files to an order

Copies existing patient file objects to unique storage keys and associates the copies with a different order.

POST
/files/copy-to-order

Copies existing patient file objects to unique storage keys and associates the copies with a different order.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Header Parameters

idempotency-key*string

Stable key reused only when retrying the exact same command body

Length8 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/files/copy-to-order" \  -H "idempotency-key: stringst" \  -H "Content-Type: application/json" \  -d '{    "fileIds": [      "string"    ],    "orderId": "string"  }'
{  "files": [    {      "id": "string",      "partnershipId": "string",      "uploadedByOrganizationId": "string",      "name": "string",      "type": "string",      "mimeType": "string",      "size": 0,      "url": "string",      "thumbnailUrl": "string",      "orderId": "string",      "patientId": "string",      "fileRequirementId": "string",      "createdAt": "string"    }  ]}
Empty
Empty
Empty
Empty
Empty
Empty
Empty